QXmppArchiveManager Class Reference
Managers

The QXmppArchiveManager class makes it possible to access message archives as defined by XEP-0136: Message Archiving. More...

`#include <QXmppArchiveManager.h>`

Inheritance diagram for QXmppArchiveManager:

List of all members.

## Signals

void | archiveListReceived (const QList< QXmppArchiveChat > &)
void | archiveChatReceived (const QXmppArchiveChat &)

## Public Member Functions

void | listCollections (const QString &jid, const QDateTime &start=QDateTime(), const QDateTime &end=QDateTime(), int max=0)
void | removeCollections (const QString &jid, const QDateTime &start=QDateTime(), const QDateTime &end=QDateTime())
void | retrieveCollection (const QString &jid, const QDateTime &start, int max=0)

## Detailed Description

The QXmppArchiveManager class makes it possible to access message archives as defined by XEP-0136: Message Archiving.

To make use of this manager, you need to instantiate it and load it into the QXmppClient instance as follows:

     QXmppArchiveManager *manager = new QXmppArchiveManager;
     client->addExtension(manager);

Note:
  Few servers support message archiving. Check if the server in use supports this XEP.

## Member Function Documentation

void QXmppArchiveManager::archiveChatReceived | ( | const QXmppArchiveChat & |  | ) | `[signal]`

This signal is emitted when archive chat is received after calling retrieveCollection()

void QXmppArchiveManager::archiveListReceived | ( | const QList< QXmppArchiveChat > & |  | ) | `[signal]`

This signal is emitted when archive list is received after calling listCollections()

void QXmppArchiveManager::listCollections | ( | const QString & | jid,
|  | const QDateTime & | start = `QDateTime()`,
|  | const QDateTime & | end = `QDateTime()`,
|  | int | max = `0`
| ) |  |

Retrieves the list of available collections. Once the results are received, the archiveListReceived() signal will be emitted.

Parameters:

  jid | Optional JID if you only want conversations with a specific JID.
  start | Optional start time.
  end | Optional end time.
  max | Optional maximum number of collections to list.

void QXmppArchiveManager::removeCollections | ( | const QString & | jid,
|  | const QDateTime & | start = `QDateTime()`,
|  | const QDateTime & | end = `QDateTime()`
| ) |  |

Removes the specified collection(s).

Parameters:

  jid | The JID of the collection
  start | Optional start time.
  end | Optional end time.

void QXmppArchiveManager::retrieveCollection | ( | const QString & | jid,
|  | const QDateTime & | start,
|  | int | max = `0`
| ) |  |

Retrieves the specified collection. Once the results are received, the archiveChatReceived() will be emitted.

Parameters:

  jid | The JID of the collection
  start | The start time of the collection.
  max | Optional maximum number of messages to retrieve.

The documentation for this class was generated from the following files:

- QXmppArchiveManager.h
- QXmppArchiveManager.cpp

All Classes Functions Enumerations Enumerator Properties